const langsAndAuthors = new Proxy(new Map(), {
  get: function(target, property, receiver) {
    if(property in target) {
      return (...args) => Reflect.apply(target[property], target, args);
    } else {
      return target.get(property);
    }
  }
});

langsAndAuthors.set('Java', 'Gosling');
langsAndAuthors.set('JavaScript', 'Eich');

console.log(langsAndAuthors.Java);
console.log(langsAndAuthors.JavaScript);